DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Public Member Functions | Private Member Functions | Private Attributes | List of all members
DVPSStoredPrint_PList Class Reference

a list of stored print objects, each of which manages a single Basic Film Box in a Print SCP. More...

## Public Member Functions
| DVPSStoredPrint_PList ()
| default constructor
| DVPSStoredPrint_PList (const DVPSStoredPrint_PList &copy)
| copy constructor
DVPSStoredPrint_PList * | clone ()
| clone method. More...
virtual | ~DVPSStoredPrint_PList ()
| destructor
void | clear ()
| reset the object to initial state. More...
size_t | size () const
| get number of stored print objects in this list. More...
void | insert (DVPSStoredPrint *newSP)
| adds a Stored Print object to the list of managed objects. More...
void | printSCPBasicFilmBoxSet (DVConfiguration &cfg, const char *cfgname, T_DIMSE_Message &rq, DcmDataset *rqDataset, T_DIMSE_Message &rsp, DcmDataset *&rspDataset, OFBool presentationLUTnegotiated, DVPSPresentationLUT_PList &globalPresentationLUTList)
| performs a Print SCP Basic Film Box N-SET operation. More...
void | printSCPBasicGrayscaleImageBoxSet (DVInterface &cfg, const char *cfgname, T_DIMSE_Message &rq, DcmDataset *rqDataset, T_DIMSE_Message &rsp, DcmDataset *&rspDataset, OFBool presentationLUTnegotiated)
| performs a Print SCP Basic Grayscale Image Box N-SET operation. More...
void | printSCPBasicFilmBoxAction (DVInterface &cfg, const char *cfgname, T_DIMSE_Message &rq, T_DIMSE_Message &rsp, DVPSPresentationLUT_PList &globalPresentationLUTList)
| performs a Print SCP Basic Film Box N-ACTION operation. More...
void | printSCPBasicFilmSessionAction (DVInterface &cfg, const char *cfgname, T_DIMSE_Message &rsp, DVPSPresentationLUT_PList &globalPresentationLUTList)
| performs a Print SCP Basic Film Session N-ACTION operation. More...
void | printSCPBasicFilmBoxDelete (T_DIMSE_Message &rq, T_DIMSE_Message &rsp)
| performs a Print SCP basic film box N-DELETE operation. More...
OFBool | haveFilmBoxInstance (const char *uid)
| checks whether a film box object with the given SOP instance UID already exists. More...
OFBool | usesPresentationLUT (const char *uid)
| checks whether the Presentation LUT with the given UID is referenced by any Stored Print object in this list on the film box level. More...
OFBool | matchesPresentationLUT (DVPSPrintPresentationLUTAlignment align) const
| checks whether the given Presentation LUT type could be used together with all image boxes in all film boxes on a Print SCP that requires a matching alignment between a Presentation LUT and the image pixel data. More...
void | overridePresentationLUTSettings (DcmUnsignedShort &newIllumination, DcmUnsignedShort &newReflectedAmbientLight, DcmUniqueIdentifier &newReferencedPLUT, DVPSPrintPresentationLUTAlignment newAlignment)
| replaces the settings for illumination, reflected ambient light and referenced Presentation LUT in all film boxes in this list. More...

## Private Member Functions
DVPSStoredPrint_PList & | operator= (const DVPSStoredPrint_PList &)
| private undefined assignment operator

## Private Attributes
OFList< DVPSStoredPrint * > | list_
| the list maintained by this object

## Detailed Description

a list of stored print objects, each of which manages a single Basic Film Box in a Print SCP.

## Member Function Documentation

## ◆ clear()

void DVPSStoredPrint_PList::clear | ( |  | ) |

reset the object to initial state.

After this call, the object is in the same state as after creation with the default constructor.

## ◆ clone()

DVPSStoredPrint_PList* DVPSStoredPrint_PList::clone | ( |  | ) |
| inline

clone method.

Returns
  a pointer to a new DVPSStoredPrint_PList object containing a deep copy of this object.

## ◆ haveFilmBoxInstance()

OFBool DVPSStoredPrint_PList::haveFilmBoxInstance | ( | const char * | uid | ) |

checks whether a film box object with the given SOP instance UID already exists.

Parameters

  uid | uid to be checked

Returns
  OFTrue if found, OFFalse otherwise

## ◆ insert()

void DVPSStoredPrint_PList::insert | ( | DVPSStoredPrint * | newSP | ) |
| inline

adds a Stored Print object to the list of managed objects.

The stored print object becomes owned by this object and is destroyed upon destruction of the list.

Parameters

  newSP | Stored Print object to be added.

## ◆ matchesPresentationLUT()

OFBool DVPSStoredPrint_PList::matchesPresentationLUT | ( | DVPSPrintPresentationLUTAlignment | align | ) | const

checks whether the given Presentation LUT type could be used together with all image boxes in all film boxes on a Print SCP that requires a matching alignment between a Presentation LUT and the image pixel data.

Parameters

  align | LUT alignment type

Returns
  OFTrue if matching, OFFalse otherwise

## ◆ overridePresentationLUTSettings()

void DVPSStoredPrint_PList::overridePresentationLUTSettings | ( | DcmUnsignedShort & | newIllumination,
|  | DcmUnsignedShort & | newReflectedAmbientLight,
|  | DcmUniqueIdentifier & | newReferencedPLUT,
|  | DVPSPrintPresentationLUTAlignment | newAlignment
| ) |  |

replaces the settings for illumination, reflected ambient light and referenced Presentation LUT in all film boxes in this list.

Used by a Print SCP if Presentation LUT is implemented on Film Session level.

Parameters

  newIllumination | new value for illumination
  newReflectedAmbientLight | new value for reflectedAmbientLight
  newReferencedPLUT | new value for referenced presentation LUT instance UID
  newAlignment | new alignment type of active presentation LUT

## ◆ printSCPBasicFilmBoxAction()

void DVPSStoredPrint_PList::printSCPBasicFilmBoxAction | ( | DVInterface & | cfg,
|  | const char * | cfgname,
|  | T_DIMSE_Message & | rq,
|  | T_DIMSE_Message & | rsp,
|  | DVPSPresentationLUT_PList & | globalPresentationLUTList
| ) |  |

performs a Print SCP Basic Film Box N-ACTION operation.

The results of the N-ACTION operation are stored in the object passed as rsp. If successful, a Stored Print object containing the film box hierarchy is created in the database.

Parameters

  cfg | config file facility
  cfgname | symbolic printer name in config file
  rq | N-ACTION request message
  rsp | N-ACTION response message
  globalPresentationLUTList | list of presentation LUTs managed by the Print SCP

## ◆ printSCPBasicFilmBoxDelete()

void DVPSStoredPrint_PList::printSCPBasicFilmBoxDelete | ( | T_DIMSE_Message & | rq,
|  | T_DIMSE_Message & | rsp
| ) |  |

performs a Print SCP basic film box N-DELETE operation.

The results of the N-DELETE operation are stored in the object passed as rsp.

Parameters

  rq | N-DELETE request message
  rsp | N-DELETE response message

## ◆ printSCPBasicFilmBoxSet()

void DVPSStoredPrint_PList::printSCPBasicFilmBoxSet | ( | DVConfiguration & | cfg,
|  | const char * | cfgname,
|  | T_DIMSE_Message & | rq,
|  | DcmDataset * | rqDataset,
|  | T_DIMSE_Message & | rsp,
|  | DcmDataset *& | rspDataset,
|  | OFBool | presentationLUTnegotiated,
|  | DVPSPresentationLUT_PList & | globalPresentationLUTList
| ) |  |

performs a Print SCP Basic Film Box N-SET operation.

The results of the N-SET operation are stored in the objects passed as rsp and rspDataset.

Parameters

  cfg | config file facility
  cfgname | symbolic printer name in config file
  rq | N-SET request message
  rqDataset | N-SET request dataset
  rsp | N-SET response message
  rspDataset | N-SET response dataset passed back in this parameter
  presentationLUTnegotiated | OFTrue if support for the Presentation LUT SOP class has been negotiated at association negotiation
  globalPresentationLUTList | list of presentation LUTs managed by the Print SCP

## ◆ printSCPBasicFilmSessionAction()

void DVPSStoredPrint_PList::printSCPBasicFilmSessionAction | ( | DVInterface & | cfg,
|  | const char * | cfgname,
|  | T_DIMSE_Message & | rsp,
|  | DVPSPresentationLUT_PList & | globalPresentationLUTList
| ) |  |

performs a Print SCP Basic Film Session N-ACTION operation.

The results of the N-ACTION operation are stored in the object passed as rsp. If successful, one Stored Print object for each film box in the film session is created in the database.

Parameters

  cfg | config file facility
  cfgname | symbolic printer name in config file
  rsp | N-ACTION response message
  globalPresentationLUTList | list of presentation LUTs managed by the Print SCP

## ◆ printSCPBasicGrayscaleImageBoxSet()

void DVPSStoredPrint_PList::printSCPBasicGrayscaleImageBoxSet | ( | DVInterface & | cfg,
|  | const char * | cfgname,
|  | T_DIMSE_Message & | rq,
|  | DcmDataset * | rqDataset,
|  | T_DIMSE_Message & | rsp,
|  | DcmDataset *& | rspDataset,
|  | OFBool | presentationLUTnegotiated
| ) |  |

performs a Print SCP Basic Grayscale Image Box N-SET operation.

The results of the N-SET operation are stored in the objects passed as rsp and rspDataset. If successful, a Hardcopy Grayscale Image object containing the image data of the N-SET request is created in the database.

Parameters

  cfg | config file facility
  cfgname | symbolic printer name in config file
  rq | N-SET request message
  rqDataset | N-SET request dataset
  rsp | N-SET response message
  rspDataset | N-SET response dataset passed back in this parameter
  presentationLUTnegotiated | OFTrue if support for the Presentation LUT SOP class has been negotiated at association negotiation

## ◆ size()

size_t DVPSStoredPrint_PList::size | ( |  | ) | const
| inline

get number of stored print objects in this list.

Returns
  the number of stored print objects.

## ◆ usesPresentationLUT()

OFBool DVPSStoredPrint_PList::usesPresentationLUT | ( | const char * | uid | ) |

checks whether the Presentation LUT with the given UID is referenced by any Stored Print object in this list on the film box level.

Parameters

  uid | uid to be compared

Returns
  OFTrue if equal, OFFalse otherwise

The documentation for this class was generated from the following file:

- dcmpstat/include/dcmtk/dcmpstat/dvpsspl.h

Generated on Mon Dec 15 2025 for DCMTK Version 3.7.0 by Doxygen 1.9.1